package main

import (
	"studia/internal/config"
	"studia/internal/logger"
	"studia/internal/server"
)

func main() {
	logger.Init()

	cfg := config.New()

	cfg.DatabaseHost = "192.168.178.171"
	cfg.DatabasePort = "5432"
	cfg.DatabaseUser = "admin"
	cfg.DatabasePassword = "12345678"
	cfg.DatabaseName = "studia"

	logger.Log.Info().Msgf("Configuration loaded: %+v", cfg)

	logger.Log.Info().Msg("Starting server...")
	server.StartServer(cfg)
}
